Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022391
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-11-26 13:542012-12-06 15:12
ReporterjecharriView Statuspublic 
Assigned Toshankarb 
PriorityurgentResolutionfixedFixed in Version3.0MP18
StatusclosedFix in branchpiFixed in SCM revision8f079938b803
ProjectionnoneETAnoneTarget Version3.0MP18
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022391: Impossible to create a location for a Business Partner

DescriptionImpossible to create a location for a Business Partner if you define the rol user as Organization.
Steps To Reproduce-Go to window role and create a header with user level "Organization"
-Give access to org "F&B US East Coast"
-Give access to window "Business Partner" and set all as editable.

-Go to the ERP and create a header.
-Try to create a location. You will see that it is impossible:
"With your current role and settings, you cannot view this information"

If you define the same role with user level "Client/organization" you are able to create a location but you must be able to create the location with user level "Organization".
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0054630)
shankarb (developer)
2012-11-28 14:10

Scheduled
(0054631)
hgbot (developer)
2012-11-28 14:11

Repository: erp/devel/pi
Changeset: 8f079938b8037398b82121e885cb066527a2791b
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Nov 28 18:39:23 2012 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8f079938b8037398b82121e885cb066527a2791b [^]

Fixes Issue 0022391: Impossible to create a location for a Business Partner

Location Search selector was not working for roles with userlevel 'Organization'.
Trimmed the userlevel searchkey before comparison and modified the way of comparison from 'not var=' to 'var!='.

---
M src/org/openbravo/base/secureApp/Seguridad_data.xsql
---
(0054632)
jecharri (developer)
2012-11-28 15:49

Remove the field regression date
(0054633)
jecharri (developer)
2012-11-28 15:50

Added the resolution time
(0054683)
hudsonbot (developer)
2012-12-01 01:03

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4cc8305859aa [^]

Maturity status: Test
(0054721)
hgbot (developer)
2012-12-05 10:35

Repository: erp/devel/pi
Changeset: a895b65c70a1fa13731a5969d26560900321f9f1
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Dec 05 10:34:39 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a895b65c70a1fa13731a5969d26560900321f9f1 [^]

Related to issue 22391: Removes not needed trim

There is not need to trim the userlevel, as it only matters if it contains an 'S', 'O', or 'C', the spaces are irrelevant.

---
M src/org/openbravo/base/secureApp/Seguridad_data.xsql
---
(0054722)
AugustoMauch (developer)
2012-12-05 10:38

Code reviewed and verified in pi@a895b65c70a1
(0054753)
hudsonbot (developer)
2012-12-06 15:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d438f7014f16 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-11-26 13:54 jecharri New Issue
2012-11-26 13:54 jecharri Assigned To => AugustoMauch
2012-11-26 13:54 jecharri Modules => Core
2012-11-26 13:57 jecharri Regression date => 2012-12-24
2012-11-26 13:57 jecharri Target Version => 3.0MP18
2012-11-27 09:20 shankarb Assigned To AugustoMauch => shankarb
2012-11-28 14:09 shankarb Review Assigned To => AugustoMauch
2012-11-28 14:10 shankarb Status new => scheduled
2012-11-28 14:10 shankarb Note Added: 0054630
2012-11-28 14:10 shankarb fix_in_branch => pi
2012-11-28 14:10 shankarb Issue Monitored: AugustoMauch
2012-11-28 14:11 hgbot Checkin
2012-11-28 14:11 hgbot Note Added: 0054631
2012-11-28 14:11 hgbot Status scheduled => resolved
2012-11-28 14:11 hgbot Resolution open => fixed
2012-11-28 14:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8f079938b8037398b82121e885cb066527a2791b [^]
2012-11-28 15:49 jecharri Note Added: 0054632
2012-11-28 15:49 jecharri Status resolved => new
2012-11-28 15:49 jecharri Resolution fixed => open
2012-11-28 15:49 jecharri Regression date 2012-12-24 =>
2012-11-28 15:49 jecharri fix_in_branch pi =>
2012-11-28 15:50 jecharri Status new => scheduled
2012-11-28 15:50 jecharri Note Added: 0054633
2012-11-28 15:50 jecharri fix_in_branch => pi
2012-11-28 15:50 jecharri Status scheduled => resolved
2012-11-28 15:50 jecharri Resolution open => fixed
2012-12-01 01:03 hudsonbot Checkin
2012-12-01 01:03 hudsonbot Note Added: 0054683
2012-12-05 10:35 hgbot Checkin
2012-12-05 10:35 hgbot Note Added: 0054721
2012-12-05 10:38 AugustoMauch Note Added: 0054722
2012-12-05 10:38 AugustoMauch Status resolved => closed
2012-12-05 10:38 AugustoMauch Fixed in Version => 3.0MP18
2012-12-06 15:12 hudsonbot Checkin
2012-12-06 15:12 hudsonbot Note Added: 0054753


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker